Net::DNS::RR::NSAP(3)

NAME
Net::DNS::RR::NSAP - DNS NSAP resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Network Service Access Point (NSAP) resource records.

METHODS

  idp
    print "idp = ", $rr->idp, "\n";

Returns the RR's initial domain part (the AFI and IDI fields).

  dsp
    print "dsp = ", $rr->dsp, "\n";

Returns the RR's domain specific part (the DFI, AA, Rsvd, RD, Area, ID, and SEL fields).

  afi
    print "afi = ", $rr->afi, "\n";

Returns the RR's authority and format identifier. "Net::DNS" currently supports only AFI 47 (GOSIP Version 2).

  idi
    print "idi = ", $rr->idi, "\n";

Returns the RR's initial domain identifier.

  dfi
    print "dfi = ", $rr->dfi, "\n";

Returns the RR's DSP format identifier.

  aa
    print "aa = ", $rr->aa, "\n";

Returns the RR's administrative authority.

  rsvd
    print "rsvd = ", $rr->rsvd, "\n";

Returns the RR's reserved field.

  rd
    print "rd = ", $rr->rd, "\n";

Returns the RR's routing domain identifier.

  area
    print "area = ", $rr->area, "\n";

Returns the RR's area identifier.

  id
    print "id = ", $rr->id, "\n";

Returns the RR's system identifier.

  sel
    print "sel = ", $rr->sel, "\n";

Returns the RR's NSAP selector.

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself..

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 1706.